{ inputs, ... }:
{
  imports = [
    inputs.nix-flatpak.nixosModules.nix-flatpak
    inputs.stylix.nixosModules.stylix
    inputs.home-manager.nixosModules.home-manager
    inputs.sops-nix.nixosModules.sops
    inputs.nix-gaming.nixosModules.pipewireLowLatency
    ./programs/appimage.nix
    ./programs/emulation.nix
    ./programs/firefox.nix
    ./programs/fonts.nix
    ./programs/gaming.nix
    ./programs/general.nix
    ./programs/git.nix
    ./programs/gstreamer.nix
    ./programs/hyprland.nix
    ./programs/kde.nix
    ./programs/obs-studio.nix
    ./programs/open-tv.nix
    ./programs/session-desktop.nix
    ./programs/steam.nix
    ./programs/zen-browser.nix
    ./scripts/upgrade-diff.nix
    ./services/blueman.nix
    ./services/cups.nix
    ./services/desktopmanager.nix
    ./services/displaymanager.nix
    ./services/nix-flatpak.nix
    ./services/sound.nix
    ./system/bluetooth.nix
    ./system/bootloader.nix
    ./system/environment.nix
    ./system/locale.nix
    ./system/networking.nix
    ./system/nixos.nix
    ./system/security.nix
    ./system/sops.nix
    ./system/time.nix
    ./system/users.nix
  ];
}

